
eb = {}
eb.frame = 0
function eb.spawn(startx,starty)
	if eb.frame == 0 then
		local x = startx
		local y = starty
		local angle = math.atan2((p.ypos+16 - y), (p.xpos+16 - x))
		local ebdx = bulletspeed * math.cos(angle)
		local ebdy = bulletspeed * math.sin(angle)
		table.insert(eb, {x=x,y=y,dx=ebdx,dy=ebdy,size = 3})
	end
	eb.frame = eb.frame + 1
	if eb.frame >= 7 then eb.frame = 0 end
end

function eb.draw()
	for i,v in ipairs(eb) do
		love.graphics.setColor(255,0,0)
		love.graphics.circle("line",v.x,v.y,v.size)
	end
end

function eb.update(dt)
	for i,v in ipairs(eb) do
	v.x = v.x + (v.dx * dt)
	v.y = v.y + (v.dy * dt)
	end
end