
button = {}

function button.spawn(x,y,id,text)
	table.insert(button, {x=x,y=y,id=id,text=text})
end

function button.draw()
	for i,v in ipairs(button) do
		love.graphics.print(v.text,v.x,v.y)
	end
end

function menuDraw()
	love.graphics.setBackgroundColor(10,10,10)
	love.graphics.setFont(menufont)
	for i=1,25 do
		for ii=1,20 do
			love.graphics.setColor(0,150,0)
			love.graphics.rectangle("line", (i-1)*32, (ii-1)*32,32,32)
		end
	end
	love.graphics.setColor(255,255,255)
	button.draw()
end

function checkClick(x,y)
	for i,v in ipairs(button) do
		if x > v.x
		and x < v.x + menufont:getWidth(v.text) 
		and y > v.y 
		and y < v.y + menufont:getHeight() then
			if v.id == "start" then
				game.state = "ingame"
				game.mode = "single"
			elseif v.id == 'multiplayer' then
				game.mode = 'multi'
			elseif v.id == "quit" then
				love.event.push("quit")
			end
		end
	end
end